import{j as n,at as i,W as o}from"./vendor-mui-core-CKKG_1TN.js";function p({children:e,...t}){return n.jsx(d,{...t,children:e})}p.propTypes={children:o.any.isRequired};const d=i.div`
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 100%;

  .header {
    text-align: center;
  }

  .body {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    width: 100%;
    min-height: 200px;
    flex: 1;

    ${e=>e.theme.breakpoints.up("md")} {
      padding: 24px;
    }

    ${e=>e.theme.breakpoints.down("md")} {
      padding: 0 16px 16px;
    }
  }

  .footer {
    display: flex;
    justify-content: center;

    ${e=>e.theme.breakpoints.up("sm")} {
      padding-bottom: 34px;
    }

    ${e=>e.theme.breakpoints.down("md")} {
      margin-top: auto;
      padding-bottom: 10px;
    }
  }
`;export{p as C};
